## com.google.appengine.api.datastore
Class CommittedButStillApplyingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.datastore.CommittedButStillApplyingException

All Implemented Interfaces:
  java.io.Serializable

    public class CommittedButStillApplyingException

extends java.lang.RuntimeException

`CommittedButStillApplyingException` is thrown when the write or transaction was committed, but some entities or index rows may not have been fully updated. Those updates should automatically be applied soon. You can roll them forward immediately by reading one of the entities inside a transaction.

See Also:
  Serialized Form

Constructor Summary
`CommittedButStillApplyingException(java.lang.String message)`
`CommittedButStillApplyingException(java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommittedButStillApplyingException

    public CommittedButStillApplyingException(java.lang.String message)

### CommittedButStillApplyingException

    public CommittedButStillApplyingException(java.lang.String message,
                                              java.lang.Throwable cause)